=== debian/changelog ===
nvme-stas (2.2.1-1~ubuntu22.04) jammy; urgency=medium

  * Backport to jammy (LP: #2020461)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 23 May 2023 14:09:17 +0200

nvme-stas (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1032650)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Apr 2023 13:51:59 +0200
