=== debian/control ===
Source: nvme-stas
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               iproute2,
               libglib2.0-dev-bin,
               meson,
               pyflakes3,
               pylint,
               python3-dasbus,
               python3-gi,
               python3-lxml,
               python3-nvme,
               python3-pyfakefs,
               python3-pyudev,
               python3-systemd,
               python3:any,
               xsltproc
Standards-Version: 4.6.2
Homepage: https://github.com/linux-nvme/nvme-stas
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/nvme-stas
Vcs-Git: https://salsa.debian.org/debian/nvme-stas.git

Package: nvme-stas
Architecture: all
Depends: python3-dasbus,
         python3-gi,
         python3-nvme,
         python3-pyudev,
         python3-systemd,
         ${misc:Depends},
         ${python3:Depends}
Description: NVMe STorage Appliance Services
 This package provides two daemons, stafd and stacd. The STorage Appliance
 Finder Daemon (stafd) automatically discovers NVMe-oF Discovery Controllers
 (DC) and retrieves the list of NVMe Storage Appliances. The STorage Appliance
 Connector Daemon (stacd) establishes I/O connections to the NVMe Storage
 Appliances discovered by stafd.
 .
 This package installs the library for Python 3.
