=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson+ninja --with python3

override_dh_auto_configure:
	dh_auto_configure -- -Dman=true
