=== debian/watch ===
version=4
opts="compression=gzip,searchmode=plain" \
  https://api.github.com/repos/linux-nvme/nvme-stas/releases?per_page=100 \
  https://api.github.com/repos/linux-nvme/nvme-stas/tarball/v@ANY_VERSION@
