## nvme-stas 2.2.2

=== debian/changelog ===
nvme-stas (2.2.2-2) unstable; urgency=medium

  [ Mateus Rodrigues de Morais ]
  * d/p/Fix-byte-ordering-in-iputil-operations.patch: make byteorder
    architecture-aware in order to fix s390x autopkgtest failures.
    (LP: #2026878)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 05 Sep 2023 13:45:22 +0200

nvme-stas (2.2.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.2.
  * Updating vcs fields.
  * Updating year in copyright for 2023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Jun 2023 11:02:13 +0200

nvme-stas (2.2.1-2) sid; urgency=medium

  * Uploading to sid.
  * Trimming copyright file.
  * Updating upstream links in copyright.
  * Wrap and sorting debian directory.
  * Moving systemd unit directory until debhelper supports
    /usr/lib/systemd/system (Closes: #1034225).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 10:30:08 +0200
