=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dman=true
+
+execute_after_dh_auto_install:
+	# Moving systemd unit directory (#1034225)
+	mkdir -p debian/nvme-stas/lib/systemd
+	mv debian/nvme-stas/usr/lib/systemd/system debian/nvme-stas/lib/systemd
+	rmdir -p --ignore-fail-on-non-empty debian/nvme-stas/usr/lib/systemd
