=== debian/tests/control ===
Test-Command: cp -r test "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP/test" && rm test-avahi.py && python3 -m unittest -v test*.py
Depends:
 iproute2,
 nvme-stas,
 python3-pyfakefs,
Restrictions: allow-stderr
Features: test-name=unittest
