=== debian/changelog ===
nvme-stas (2.3.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.1: - properly handles big-endian data in
    `iputils.py` (Closes: #1057031).
  * Adding patch from upstream to fix udev tests with dummy interfaces,
    thanks to Olivier Gayot <olivier.gayot@canonical.com> (Closes:
    #1057530).
  * Adding patch from upstream to fix tests with esoteric interface names,
    thanks to Olivier Gayot <olivier.gayot@canonical.com> (Closes:
    #1057530).
  * Adding nvme-cli to autopkg depends, thanks to Olivier Gayot
    <olivier.gayot@canonical.com> (Closes: #1054533).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Dec 2023 11:42:55 +0100

nvme-stas (2.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.
  * Including debian version 2.2.2-2.
  * Removing Fix-byte-ordering-in-iputil-operations.patch, not needed with
    upstream version 2.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Sep 2023 10:25:45 +0200

nvme-stas (2.3~rc5-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.3~rc5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 11:21:50 +0200

nvme-stas (2.3~rc4-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.3~rc4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 11:15:33 +0200

nvme-stas (2.3~rc3-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.3~rc3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 06 Aug 2023 09:53:22 +0200

nvme-stas (2.3~rc2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.3~rc2.
  * Moving source lintian-overrides out of its subdirectory for
    consistency reasons.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 14 Jul 2023 07:38:01 +0200

nvme-stas (2.3~rc1-2) experimental; urgency=medium

  * Uploading to experimental.
  * Updating watch file.
  * Updating python3-libnvme build-depends.
  * Sorting control fields in file.
  * Adding binary section in control for consistency.
  * Updating manual python3-libnvme depends.
  * Updating package description.
  * Adjust rules for consistent coding standard.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 07:01:04 +0200

nvme-stas (2.3~rc1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.3~rc1.
  * Avoid failing test suite for this pre-release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 16 Jun 2023 13:04:11 +0200
