=== debian/control ===
Source: nvme-stas
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Uploaders:
 Benjamin Drung <bdrung@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-xml,
 docbook-xsl,
 iproute2,
 libglib2.0-dev-bin,
 meson,
 pyflakes3,
 pylint,
 python3-dasbus,
 python3-gi,
 python3-lxml,
 python3-libnvme,
 python3-pyfakefs,
 python3-pyudev,
 python3-systemd,
 python3:any,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/linux-nvme/nvme-stas
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-stas
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-stas

Package: nvme-stas
Section: net
Architecture: all
Depends:
 python3-dasbus,
 python3-gi,
 python3-libnvme,
 python3-pyudev,
 python3-systemd,
 ${misc:Depends},
 ${python3:Depends},
Description: NVMe Storage Appliance Services (STAS)
 NVMe over Fabrics (NVMe-oF) is the concept of using a transport protocol over
 a network to connect remote NVMe devices. nvme-stas contains services to be
 used to access NVMe over TCP:
 .
   * Storage Appliance Finder (stafd):
     automatically locate Central or Direct Discovery Controllers (CDC, DDC)
     with zeroconf (mDNS).
 .
   * Storage Appliance Connector (stacd):
     setup the I/O controller connections to each storage subsystem.
