=== debian/watch ===
version=4
opts="pgpmode=auto, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvme-stas-$1\.tar\.gz/, \
      uversionmangle=s/(\d)\-?((pre|rc)\d*)$/$1~$2/" \
https://github.com/linux-nvme/nvme-stas/tags .*/v?(\d\S+)\.tar\.gz
