## nvme-stas 2.4

=== debian/changelog ===
nvme-stas (2.4-3) sid; urgency=medium

  * Removing autopkgtest for now (Closes: #1101379).

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Mar 2025 21:03:40 +0100

nvme-stas (2.4-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Mar 2025 19:14:13 +0100

nvme-stas (2.4-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 2.4.
  * Updating year in upstream copyright for 2025.
  * Removing test-dummy-interfaces.patch, included upstream.
  * Removing skip-esoteric-interfaces.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:20:31 +0100

nvme-stas (2.3.1-4) sid; urgency=medium

  * Updating source url in copyright.
  * Udpating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Adding debian packaging in copyright.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 13:02:07 +0100

nvme-stas (2.3.1-3) sid; urgency=medium

  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:41:15 +0200

nvme-stas (2.3.1-2) sid; urgency=medium

  * Moving systemd units to /usr (Closes: #1059429).

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Mar 2024 07:10:33 +0100
