## nvme-stas 2.4.1

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 purge:
 ifneq ("$(wildcard ${BUILD-DIR})","")
 	rm -rf ${BUILD-DIR}
+	meson subprojects purge --confirm
 endif
 
 .PHONY: install
@@ -46,7 +47,8 @@
 
 .PHONY: uninstall
 uninstall: ${BUILD-DIR}
-	sudo ninja $@ -C ${BUILD-DIR}
+	cd ${BUILD-DIR} && sudo meson --internal uninstall
+
 
 .PHONY: dist
 dist: stas
@@ -70,7 +72,7 @@
 	black --diff --color --line-length 120 --skip-string-normalization --extend-exclude="(subprojects|debian|.build)" .
 
 # Coverage requirements:
-#   pip install coverage
+#   apt-get install python3-coverage
 .PHONY: coverage
 coverage: stas
 	cd ${BUILD-DIR} && ./coverage.sh
