=== debian/changelog ===
nvme-stas (2.4.1-3) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 09:54:25 +0100

nvme-stas (2.4.1-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:56:13 +0200

nvme-stas (2.4.1-1) sid; urgency=medium

  * Merging upstream version 2.4.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Apr 2025 10:20:28 +0200
