=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nvme-stas
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
 Build-Depends:
@@ -23,11 +23,10 @@
  python3-systemd,
  python3:any,
  xsltproc,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-nvme/nvme-stas
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-stas
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-stas
+Vcs-Browser: https://forgejo.debian.net/nvme/nvme-stas
+Vcs-Git: https://forgejo.debian.net/nvme/nvme-stas
 
 Package: nvme-stas
 Section: net
